Name:           unar
Version:        1.6
Release:        4%{dist}
Summary:        Multi-format extractor
License:        LGPLv2+
Group:          Applications/Archiving
URL:            http://code.google.com/p/theunarchiver/
Source0:        http://theunarchiver.googlecode.com/files/unar1.6_src.zip
BuildRequires:  gcc-objc
BuildRequires:  gnustep-base-devel
BuildRequires:  libicu-devel
BuildRequires:  zlib-devel
BuildRequires:  bzip2-devel

%description
The command-line utilities lsar and unar are capable of listing and extracting
files respectively in several formats including RARv3. unar can serve as a free 
and open source replacement of unrar.

%prep
%setup -q -c
mv The\ Unarchiver/* .
rm -fr __MACOSX The\ Unarchiver
# recursively remove executable bit from every file, skipping directories
find . -type f -print0 | xargs -0 chmod -x

%build
export OBJCFLAGS=`gnustep-config --objc-flags`
make -C XADMaster -f Makefile.linux

%install

install -d %{buildroot}%{_bindir}
install -m755 XADMaster/unar XADMaster/lsar %{buildroot}%{_bindir}
install -d %{buildroot}%{_datadir}/man/man1
install -m644 Extra/*.1 %{buildroot}%{_datadir}/man/man1

install -d %{buildroot}%{_datadir}/bash-completion/completions
install -m644 Extra/lsar.bash_completion %{buildroot}%{_datadir}/bash-completion/completions/lsar
install -m644 Extra/unar.bash_completion %{buildroot}%{_datadir}/bash-completion/completions/unar

%files
%doc License.txt
%{_bindir}/lsar
%{_bindir}/unar
%{_datadir}/man/man1/*
%{_datadir}/bash-completion/

%changelog
* Fri Apr 19 2013 Rahul Sundaram <sundaram@fedoraproject.org> - 1.6-4
- fix spurious executable permissions 

* Fri Apr 19 2013 Rahul Sundaram <sundaram@fedoraproject.org> - 1.6-3
- revert dir ownership change and requires on bash-completion

* Thu Apr 18 2013 Rahul Sundaram <sundaram@fedoraproject.org> - 1.6-2
- fix dir ownership and add requires on bash-completion. 
- fix a couple of typos

* Thu Apr 18 2013 Rahul Sundaram <sundaram@fedoraproject.org> - 1.6-1
- initial spec file. based on spec from Huaren Zhong <huaren.zhong@gmail.com> 
